/*!********************************************************************
 * The Initial Developer of the content of this file is NETCONOMY.
 * All portions of the code written by NETCONOMY are property of
 * NETCONOMY. All Rights Reserved.
 *
 * NETCONOMY Software & Consulting GmbH
 * Hilmgasse 4, A-8010 Graz (Austria)
 * FN 204360 f, Landesgericht fuer ZRS Graz
 * Tel: +43 (316) 815 544
 * Fax: +43 (316) 815544-99
 * www.netconomy.net
 *
 * (c) 2023 by NETCONOMY Software & Consulting GmbH
 ********************************************************************/
@use 'shop/resources/scss/base/constants/colors';
@use 'shop/resources/scss/base/mixins/breakpoints';

.carousel {
    flex: 0 0 20%;
    padding-right: 5px;
}

.viewport {
    overflow: hidden;
    height: 300px;
    padding-right: 3px;

    @include breakpoints.screen-m-and-up {
        height: 400px;
    }
}

.container {
    display: flex;
    flex-direction: column;
    height: 100%;
}

.slide {
    display: flex;
    flex: 0 0 12%;
    margin-left: 1px;
    margin-bottom: 10px;
    border: 0;
    padding: 3px;
    width: 100%;
    height: 100%;
    background-color: transparent;
    text-decoration: none;
    cursor: pointer;

    &:focus {
        outline: 2px solid colors.$color-grey;
    }
}

.slideImage {
    object-fit: contain;
    width: 100%;
    height: 100%;
    opacity: 0.2;
}

.slideImageSelected {
    opacity: 1;
}
